From 6c305c9154f899404127c13043e1c83f35c1f776 Mon Sep 17 00:00:00 2001
From: Tim Daly <daly@axiom-developer.org>
Date: Tue, 6 Jan 2015 15:54:10 -0500
Subject: buglist: bug 7283: printing of typeOf failed

print(typeOf(1)::OutputForm)

   >> System error:
   Caught fatal error [memory may be damaged]
---
 buglist                        |   10 +++++++++-
 changelog                      |    2 ++
 patch                          |   14 ++++++--------
 src/axiom-website/patches.html |    2 ++
 4 files changed, 19 insertions(+), 9 deletions(-)

diff --git a/buglist b/buglist
index 7456757..6762719 100644
--- a/buglist
+++ b/buglist
@@ -1,6 +1,6 @@
 =========================================================================
 
-bug 7283: 
+bug 7284: 
 todo 337:
 wish 1012:
 meh 5:
@@ -12,6 +12,14 @@ dup 50006:
 nonextend 60077:
 
 =========================================================================
+bug 7283: printing of typeOf failed
+
+print(typeOf(1)::OutputForm)
+ 
+   >> System error:
+   Caught fatal error [memory may be damaged]
+
+=========================================================================
 bug 7282: Cannot convert from type Matrix(Integer)...
 
 K := Fraction Integer
diff --git a/changelog b/changelog
index 004b89b..f56f06e 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20150106 tpd src/axiom-website/patches.html 20150106.07.tpd.patch
+20150106 tpd buglist: bug 7283: printing of typeOf failed
 20150106 tpd src/axiom-website/patches.html 20150106.06.tpd.patch
 20150106 tpd buglist: bug 7282: Cannot convert from type Matrix(Integer)...
 20150106 tpd src/axiom-website/patches.html 20150106.05.tpd.patch
diff --git a/patch b/patch
index 2cca03d..7e01c8e 100644
--- a/patch
+++ b/patch
@@ -1,9 +1,7 @@
-buglist: bug 7282: Cannot convert from type Matrix(Integer)...
+buglist: bug 7283: printing of typeOf failed
+
+print(typeOf(1)::OutputForm)
+ 
+   >> System error:
+   Caught fatal error [memory may be damaged]
 
-K := Fraction Integer
-g := matrix [[1,0,0,0], [0,-1,0,0], [0,0,-1,0], [0,0,0,-1]]
-D := CliffordAlgebra(4, K, g)
-D::InputForm
-unparse %
-parse(%)@InputForm
-1::D
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index ef3baa9..5bbf620 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -4908,6 +4908,8 @@ buglist: bug 7280: Enumeration fails<br/>
 buglist: bug 7281: )show TYPE gives duplicate output<br/>
 <a href="patches/20150106.06.tpd.patch">20150106.06.tpd.patch</a>
 buglist: bug 7282: Cannot convert from type Matrix(Integer)...<br/>
+<a href="patches/20150106.07.tpd.patch">20150106.07.tpd.patch</a>
+buglist: bug 7283: printing of typeOf failed<br/>
  </body>
 </html>
 
-- 
1.7.5.4

